Eclipse Kura - 5.0.0   - October 2021
-------------------------------------------------------------------------
Description:
This major release of Eclipse Kura, compatible with Java 8 and OSGi R7, introduces new security related features. 
It brings HTTPS for the Web UI with the possibility to perform not only password-based authentication but also 
certificate-based authentication on top of mTLS. 
The framework now runs on a dedicated user named "kurad" and provides a new set of APIs for privileged and unprivileged execution. 
Eclipse Kura now is also capable to log, in an audit file, the security-related operations performed in the framework. 
The firewall implementation has been significantly updated to support iptables custom chains and integration with other linux services like Docker.

The project is now EPL-2.0 compatible.


Changes:
  * Enhancements
    * Added support for new Quectel EC25, BG96 and ZTE modems
    * Multi-modem support: the framework is now capable to manage multiple modems connected to the gateway
    * Custom Firewall chains for Kura
    * New Audit framework for auditing security-related actions in a specific audit file
    * Support for Web UI certificate login
    * Support for REST APIs certificate login
    * Support for REST APIs endpoint in a different port than the Web UI
    * Support for Web UI multiple identities and related permissions
    * Support for user customizable Web UI entry point 
    * Privileged and unprivileged command execution
    * New Kura and Kurad users for privileged and unprivileged execution. The framework is not running anymore as root
    * New Threat manager feature with Flooding protection support
    * Updated crypto service with new symmetric crypto algorithm
    * Updated crypto service with extended hashing capabilities
    * New framework folder structure
    * New Birth message with extended properties support
    * New Log Download feature from Local Web UI with support for both SysV and Systemd systems
    * Updated XSRF token feature in local Web UI
    * Added support for Virtual network interfaces
    * New Trigonometry Wire Component examples
    * New Math Wire Component examples
    * New Boolean Multiport Wire Component examples
    * New Security section in Web UI with framework-managed certificates listing and management
    * New NAT warning message for connection sharing
    * New Tamper detection support with examples
    * New support for Wifi 802.11a (5 GHz)
    * New Inventory feature to list all the framework and system packages with versions. New INVENTORY-V1 request handler for cloud interaction
    * Various Web UI improvements and cleanups
    * Clock service update with new chrony support
    * Clock Service Java NTP implementation update with an improved error management
    * New Alpine linux based Docker container
    * Bluetooth 5 LE support
    * Extended Certificates support with new APIs, Request Handlers and REST APIs
    * New Bosch XDK Driver for Kura

  * Features Preview
    * Web UI extendibility APIs and examples

  * Deprecated APIs
    * org.eclipse.kura.command.CommandService
    * org.eclipse.kura.driver.DriverService
    * org.eclipse.kura.ssl.SSLManagerService (Partial)
    * org.eclipse.kura.certificate.CertificateService (Partial)
    * org.eclipse.kura.net.dhcp.DhcpServerConfigIP4 (Partial)
    * org.eclipse.kura.net.dhcp.DhcpServerConfigIP6 (Partial)
    * org.eclipse.kura.net.firewall.FirewallNatConfig (Partial)
    * org.eclipse.kura.net.modem.ModemGpsEnabledEvent (Partial)
    * org.eclipse.kura.net.modem.ModemManagerService (Partial)
    * org.eclipse.kura.linux.bluetooth.util
    * org.eclipse.kura.linux.bluetooth.le.beacon

  * Target Platform Updates
    * org.apache.felix.gogo.command 1.0.2.v20170914-1324 
    * org.apache.felix.gogo.runtime 1.1.0.v20180713-1646
    * org.apache.felix.gogo.shell 1.1.0.v20180713-1646
    * org.apache.felix.scr 2.1.16.v20200110-1820
    * org.eclipse.core.contenttype 3.7.800.v20200724-0804
    * org.eclipse.core.jobs 3.10.800.v20200421-0950
    * org.eclipse.core.runtime 3.19.0.v20200724-1004
    * org.eclipse.equinox.app 1.5.0.v20200717-0620
    * org.eclipse.equinox.cm 1.4.400.v20200422-1833
    * org.eclipse.equinox.common 3.13.0.v20200828-1034
    * org.eclipse.equinox.console 1.4.200.v20200828-1034
    * org.eclipse.equinox.ds 1.6.200.v20200422-1833
    * org.eclipse.equinox.event 1.5.500.v20200616-0800
    * org.eclipse.equinox.http.jetty 3.7.400.v20200123-1333
    * org.eclipse.equinox.http.registry 1.2.0.v20200614-1851
    * org.eclipse.equinox.http.servlet 1.6.600.v20200707-1543
    * org.eclipse.equinox.io 1.1.100
    * org.eclipse.equinox.launcher 1.5.800.v20200727-1323
    * org.eclipse.equinox.metatype 1.5.300.v20200422-1833
    * org.eclipse.equinox.preferences 3.8.0.v20200422-1833
    * org.eclipse.equinox.registry 3.9.0.v20200625-1425
    * org.eclipse.equinox.util 1.1.300
    * org.eclipse.equinox.wireadmin 1.0.800
    * org.eclipse.osgi.services 3.9.0.v20200511-1725
    * org.eclipse.osgi.util 3.5.300.v20190708-1141
    * org.eclipse.osgi 3.16.0.v20200828-0759
    * org.eclipse.jetty.continuation 9.4.41.v20210516
    * org.eclipse.jetty.http 9.4.41.v20210516
    * org.eclipse.jetty.io 9.4.41.v20210516
    * org.eclipse.jetty.security 9.4.41.v20210516
    * org.eclipse.jetty.server 9.4.41.v20210516
    * org.eclipse.jetty.servlet 9.4.41.v20210516
    * org.eclipse.jetty.util 9.4.41.v20210516
    * org.eclipse.jetty.util.ajax 9.4.41.v20210516
    * io.netty.version=4.1.68.Final
    * Google Protobuf 3.8.0
    * com.eclipsesource-json 0.9.5
    * org.apache.felix.useradmin 1.0.4.k1
    * org.apache.camel.camel-amqp 2.25.3
    * org.apache.camel.camel-core 2.25.3
    * org.apache.camel.camel-core-osgi 2.25.3
    * org.apache.camel.camel-jms 2.25.3
    * org.apache.camel.camel-script 2.25.3
    * org.apache.camel.camel-stream 2.25.3
    * apache-qpid-jms-client.version 0.45.0
    * apache-qpid-proton-j.version 0.33.2
    * org.apache.servicemix.bundles:org.apache.servicemix.bundles.spring-beans 4.3.20.RELEASE_1
    * org.apache.servicemix.bundles:org.apache.servicemix.bundles.spring-context 4.3.20.RELEASE_1
    * org.apache.servicemix.bundles:org.apache.servicemix.bundles.spring-core 4.3.20.RELEASE_1
    * org.apache.servicemix.bundles:org.apache.servicemix.bundles.spring-expression 4.3.20.RELEASE_1
    * org.apache.servicemix.bundles:org.apache.servicemix.bundles.spring-jms 4.3.20.RELEASE_1
    * org.apache.servicemix.bundles:org.apache.servicemix.bundles.spring-tx 4.3.20.RELEASE_1
    * jakarta.activation-api 1.2.2 (build-only)
    * jakarta.annotation-api 1.3.5 (build-only)
    * jakarta.xml.bind-api 2.3.3 (build-only)
    * jakarta.xml.ws-api 2.3.3 (build-only)
    * jakarta.xml.soap-api 1.4.2 (build-only)
    * jaxb-osgi 2.3.3 (build-only)
    * osgi-resource-locator 1.0.3 (build-only)


Breaking Changes:
  * The updated crypto algorithm makes impossible to reuse old encrypted snapshots.
  * The updated framework folder structure


Target Environments:
  * Kura is released as pre-compiled binary installers for the following platforms:
    * Raspberry Pi 2/3/4 based on Raspbian
    * Intel Up Squared board running Ubuntu 18  
    * Intel Up Squared board running Centos 7 (Experimental)
    * Rock960 ARM_64 running Ubuntu 16 (NN version only)
  * Kura is also available as a pre-built Docker container for Centos 7 and Alpine  


Known Issues :
  * The intel-up2-centos-7, intel-up2-ubuntu-18 and rock960-ubuntu-16 don't support the Unprivileged Command Service (see #3598)
  * An update to the sslmanagerservice where the pid of the keystoreservice is updated can lead to an error in the following reconnection. 
    The issue impact is limited, if the dataservice reconnect option is enabled.  
  * The implementation of the CryptoService performs encryption using a
    password that is hardcoded and published.
  * Modem: Ublox Lisa U201 may not be able to establish PPP connection when CHAP/PAP authentication is required.
  * BLE also tested on the Raspberry Pi B with a Broadcom BCM20702 USB dongle and the TI SensorTag. The kernel version was
    "Linux raspberrypi 3.18.11-v7+ #781 SMP PREEMPT Tue Apr 21 18:07:59 BST 2015 armv7l GNU/Linux".
    Note that on the kernel "Linux version 4.1.7-v7+ (dc4@dc4-XPS13-9333) (gcc version 4.8.3 20140303 (prerelease)
    (crosstool-NG linaro-1.13.1+bzr2650 - Linaro GCC 2014.03) ) #817 SMP PREEMPT Sat Sep 19 15:32:00 BST 2015" has a bug on
    gatttool and the BLE connection will encounter a failure.
  * WiFi on Raspberry Pi 2 has only been tested with WiPi WiFi Dongle (Realink RT5370 chipset) and official Pi USB WiFi Dongle (Broadcom BCM43143 chipset).
    AccessPoint WiFi mode not working for Broadcom chipset.
  * Hardware watchdog: not implemented on all platforms
  * Only one WAN interface is currently supported. A warning in displayed
    in the WEB UI if the user attempts to enable more than one WAN interface
  * The rock-960-ubuntu-nn does not support chrony features.
  * The rock-960-ubuntu-nn does not support writings to the hardware clock.
  * The rock-960-ubuntu-nn does not support the download of the journald logs.
  * #3176: Modem interface number management
  * #3005: Kura Gets Stuck in Loading View if Services Clicked Too Fast
  * #2843: Access Banner Content All in One Line
  * #2747: No Spacing Between "Wire Components" and Error in Wire Graph
  * #2728: WireGraph Component Description Windows Too Wide
  * #2725: Different Pop-up Windows for Warnings
  * #2702: Error Message For Long Item Names Not Displayed Properly
  * #2696: Component Name Inteferes With Wire Graph Border
  * #2695: Component Names in Wires Not Limited
  * #2410: Deployment handler and URLs with many query parameters
  * #2038: [Kura 3.2.0 QA] Package uninstallation log
  * #1993: Search Domains Are Not Supported
  * #1663: Authentication Issue with Deploy V2
  * #1572: serial modbus has errors on some hardware
  * #1529: OSGI console is not redirected to Eclipse IDE with Kura 3.0
  * #1201: Wifi password incorrectly read from snapshot in Access Point mode
  * #1161: Incorrectly configuring a component can be irreversable.
  * #1128: [Kura 3.0.0 M1 QA] Unable to delete manually added CamelFactory services
  * #1016: ConfigurationServiceImpl creates duplicate instances
  * #797:  Design of ServiceUtil is broken
  * #771:  Web UI fails with INTERNAL_ERROR when WireHelperService is not registered
  * #654:  Clean up static initialization around "modem" functionality
  * #645:  Clean up internal dependencies in Kura
  * #522:  [Net] Modem monitor should monitor interfaces, not modems
  * #486:  Build environment broken on Windows
  * #406:  Replace System.get* with calls to SystemService.getProperties
  * #348:  WpaSupplicantConfigReader.getWifiClientConfig() should support cases where key_mgmt scheme is not set
  * #329:  [DEPLOY-V2] Review/refactoring needed
  * #297:  [Status led] What connection instance controls the status led?
  * #253:  Check if bundle contexes correctly unget services after invoking getService
  * #222:  CloudConnectionStatusServiceImpl does not cancel workers on component deactivation


Changelog:
  * 8752333d14 - Added missing dirty status clearing when users tab is visible (#3658) (#3660) (github-actions[bot])
  * e52d0a28bf - Use SIGTERM before SIGKILL for hostapd and wpa_supplicant (#3656) (#3657) (github-actions[bot])
  * af36d2bc93 - Attempt SIGTERM before killing pppd with SIGKILL (#3654) (#3655) (github-actions[bot])
  * aa07fc5d2e - Fix to prevent issues with eth0@ifxx outputs from IP (#3651) (#3653) (github-actions[bot])
  * f46ffd8f30 - Updated manage_kura_users script (#3650) (#3652) (github-actions[bot])
  * a2a7e62e4a - Wake up listener when switching from password enabled to disabled to enable apply button (#3647) (#3649) (github-actions[bot])
  * 12f162b08d - Added known issues for the Rock960 board (#3648) (Marcello Rinaldo Martina)
  * af325c55a0 - Added Let's Encrypt certificate (#3644) (#3646) (github-actions[bot])
  * 65cd76c027 - fixed channel parsing. (#3643) (#3645) (github-actions[bot])
  * c2b55545aa - Added redirect menagement in core.deployment (#3641) (#3642) (github-actions[bot])
  * 229b7a1f26 - Updated release notes (Maiero)
  * 7a6815c0ea - Replaced systemctl string with constant. (#3639) (#3640) (github-actions[bot])
  * 8da280dc62 - Disable chrony and systemd-timesyncd and handle different systemd service name. (#3627) (#3634) (github-actions[bot])
  * 1611295757 - Attempt to fix spurious lifecycle messages on shutdown (#3628) (#3635) (github-actions[bot])
  * 8d178798eb - Implemented server side password strenght validation (#3625) (#3630) (github-actions[bot])
  * c9ae41baf2 - Separate journal logs when downloading (#3626) (#3629) (github-actions[bot])
  * 9c8055f4ad - Added ntpdate dependency. (#3620) (#3621) (github-actions[bot])
  * 74768edb13 - Disabled dhcpcd service at install. (#3616) (#3619) (github-actions[bot])
  * 019531e440 - Updated release notes with a new known issue. (#3618) (Matteo Maiero)
  * 452c093f9f - Fixed typos in firewall.init (#3614) (#3615) (github-actions[bot])
  * 39eb7d9a77 - Updated release notes (Maiero)
  * 358e7d34d - XDK driver is now in distrib (#3611) (#3612) (Matteo Maiero)
  * a39d88ba5 - Now SslContext cache is cleaned when KeystoreService in SSLManager is… (#3606) (#3610) (github-actions[bot])
  * 161b28849 - Used safer regex to match the beginning of the version string (#3604) (#3608) (github-actions[bot])
  * 0a3640056 - Update default configuration for the command service (#3602) (Pierantonio Merlino)
  * 07a63f65c - Updated certificate in cacerts.ks for Eclipse mqtt broker (#3594) (#3596) (github-actions[bot])
  * 3c93d9bac - Now kurad is the owner of kuranet.conf (#3593) (#3595) (github-actions[bot])
  * 77fb0181f - Updated release notes (Maiero)
  * b488518a8 - Fixed double ipf/pf forwarding chains (#3590) (#3591) (github-actions[bot])
  * 2938d91a8 - Align with changes from #2620 (#3586) (#3589) (github-actions[bot])
  * 1f756af50 - Wifi 5ghz support (#3568) (#3585) (github-actions[bot])
  * 79da01ff9 - Upgraded Netty to 4.1.68.Final (#3581) (#3584) (github-actions[bot])
  * 6cd86f54a - Added http redirect handling. (#3580) (#3583) (github-actions[bot])
  * 9a168c870 - When running into a timeout, report an error (#3573) (#3579) (github-actions[bot])
  * eec6ce8e0 - Added kura.service.pid if missing during configuration update (#3572) (#3575) (github-actions[bot])
  * 5208ce80c - Added Eclipse Marketplace certificate in cacerts.ks (#3576) (#3578) (github-actions[bot])
  * 9980ac740 - Added password decryption in NetworkConfigurationService (#3574) (#3577) (github-actions[bot])
  * e22999273 - Removed logging of properties on CommandCloudApp update (#3569) (#3571) (github-actions[bot])
  * 99da7fba2 - Removed unnecessary ServiceRegistration and updated slf4j version (#3565) (#3566) (github-actions[bot])
  * abb6be5a0 - Threat manager bundle not included in NN profiles (#3562) (#3563) (github-actions[bot])
  * 22c60d345 - Added support for PEMKeyPair object (#3559) (#3560) (github-actions[bot])
  * 1be90e8fa - Removed netadmin role from NN profiles (#3539) (#3557) (github-actions[bot])
  * f999a7a6e - Fixed system packages parsing on APK package manager (#3554) (#3556) (github-actions[bot])
  * 349f65595 - Restored tabs behaviour. (#3552) (#3555) (github-actions[bot])
  * 639c15673 - Prevent ip_forward from being set to 0 (#3548) (#3551) (github-actions[bot])
  * 2b103dbc9 - Added network admin permission in device configuration request (#3549) (#3550) (github-actions[bot])
  * f58be1b7f - Now, the left margin for panel footer only applies on webui main footer. (#3538) (#3545) (github-actions[bot])
  * 1b3b34b55 - Deprecated old bluetooth classes (#3542) (#3547) (github-actions[bot])
  * d64a04041 - Added deprecated apis in release notes (#3543) (Pierantonio Merlino)
  * 414883d2e - Hidden threat manager tab on no-network profiles (#3540) (#3544) (github-actions[bot])
  * 40bc63a72 - Merge pull request #3537 from eclipse/backport-3534-to-release-5.0.0 (Matteo Maiero)
  * 5d52d5bc9 - Some improvements in the command executor service (#3534) (Pierantonio Merlino)
  * ca6c8500c - Merge pull request #3532 from eclipse/backport-3531-to-release-5.0.0 (Matteo Maiero)
  * 486519a0a - Merge pull request #3536 from eclipse/backport-3533-to-release-5.0.0 (Matteo Maiero)
  * 841907a49 - Close streams in BT legacy code (#3533) (Pierantonio Merlino)
  * cd921af64 - Merge pull request #3535 from eclipse/backport-3529-to-release-5.0.0 (Matteo Maiero)
  * 6ce9dc3da - Trimmed inputs for UI array fields (#3529) (Marcello Rinaldo Martina)
  * f1f117183 - Changed ownership and permission for named files (#3525) (#3526) (github-actions[bot])
  * b897f597c - Clock service refactor (#3531) (Matteo Maiero)
  * a88d48bef - Merge pull request #3527 from eclipse/change-docker-branch-ref (nicolatimeus)
  * 62d1d51d8 - Added release notes with changelog (#3524) (Matteo Maiero)
  * 569fc760c - Updated the docker branch reference that was not changed before. (Maiero)
  * 443893f1d - Updated distrib/RELEASE_INFO (Maiero)
  * 126549bea - Merge pull request #3523 from eclipse/backport-3517-to-release-5.0.0 (Matteo Maiero)
  * fec9aab19 - Merge pull request #3522 from eclipse/backport-3521-to-release-5.0.0 (Matteo Maiero)
  * 39824d171 - Added check for sensortag version (#3517) (Pierantonio Merlino)
  * 9075e7aee - Modified code to remove possible NPEs in sierra modem code (#3521) (Matteo Maiero)
  * 66acaec87 - Merge pull request #3520 from eclipse/backport-3514-to-release-5.0.0 (Matteo Maiero)
  * cdf418122 - Fixed intel up 2 installation (#3514) (Salvatore Coppola)
  * 13604259d - Merge pull request #3513 from eclipse/backport-3512-to-release-5.0.0 (Matteo Maiero)
  * 62079a812 - Merge pull request #3519 from eclipse/backport-3515-to-release-5.0.0 (Matteo Maiero)
  * 06615a79b - Fixed net interfaces list sorting (#3515) (Marcello Rinaldo Martina)
  * 7e3f5a94f - Merge pull request #3518 from eclipse/backport-3516-to-release-5.0.0 (Matteo Maiero)
  * 98b0e0aac - Merge pull request #3509 from eclipse/backport-disable-hwclock-write (Matteo Maiero)
  * 02c53954d - Handle unknown bitrate value. (#3516) (Salvatore Coppola)
  * 368a25343 - Fixed error on invalid char length (#3512) (Marcello Rinaldo Martina)
  * 449c13723 - Merge pull request #3511 from eclipse/backport-3510-to-release-5.0.0 (Matteo Maiero)
  * 07583cb52 - Fixed typo. (Salvatore Coppola)
  * 9f4e98114 - Disable hwclock update with chrony. (#3503) (Salvatore Coppola)
  * f25d61832 - Merge pull request #3508 from eclipse/backport-fix_java-clock-update-error-management (Matteo Maiero)
  * e2847307b - Added support for clock library error report management (#3506) (Matteo Maiero)
  * c61425b86 - Merge pull request #3507 from eclipse/backport-3496-to-release-5.0.0 (Matteo Maiero)
  * 42331b746 - Merge pull request #3505 from marcellorinaldo/backport-fix-ui-modem-help-section (Matteo Maiero)
  * 6440151e3 - Updated kura.setup file for Oomph installer (#3496) (Pierantonio Merlino)
  * 8d5c069c3 - Fixed modem help section small width (Marcello Martina)
  * 2a643d740 - Merge pull request #3500 from marcellorinaldo/backport-ui-footer-fix-small-screens (Matteo Maiero)
  * 3c12d2488 - Fixed footer left margin on small screens (Marcello Martina)
  * 584a6b05e - Merge pull request #3498 from marcellorinaldo/backport-fix-default-net-interface-rock960 (Matteo Maiero)
  * 9e2c39bb5 - Added correct default interface for Rock960 board (Marcello Martina)
  * 630ce8743 - Merge pull request #3495 from eclipse/backport-3484-to-release-5.0.0 (Matteo Maiero)
  * 5c7c2a09c - Cloud connection UI fixes (#3484) (Salvatore Coppola)
  * 28b1f8b34 - [Backport] Modified command service error message (#3493) (Pierantonio Merlino)
  * 47846bca2 - Merge pull request #3489 from eclipse/safe_process_deprecation_backport (Matteo Maiero)
  * 0d252b8dd - Added Chrony support (#3471) (#3494) (Matteo Maiero)
  * fb09cd866 - Deprecated SafeProcess and related classes (pierantoniomerlino)
  * 70e0bf844 - Merge pull request #3492 from eclipse/backport-3490-to-release-5.0.0 (Matteo Maiero)
  * 54e252503 - Added apk as source for packages list. (#3490) (Salvatore Coppola)
  * d2b7d3170 - Merge pull request #3487 from eclipse/backport-enh_inventory-start-stop-bundle (Matteo Maiero)
  * d38f7e205 - Added bundle start and stop functionality to INVENTORY-V1 (Nicola Timeus)
  * 33caf88ce - Updated apache qpid dependencies. (#3486) (Matteo Maiero)
  * 9053653e4 - Merge pull request #3479 from marcellorinaldo/backport-generic-ui-fixes (Matteo Maiero)
  * b1413ac2d - Merge pull request #3483 from marcellorinaldo/backport-fix-h2db-bind-methods (Matteo Maiero)
  * 3bfd6525e - Removed OSGi dangling reference and added null checks in dbstore bind method (Marcello Martina)
  * e7e659d6a - Added overflow scrolling for tab-menu on small screens (Marcello Martina)
  * 65ff53a90 - Merge pull request #3476 from eclipse/backport-fix_keystoreservice-unnecessary-events (Matteo Maiero)
  * 5dae35693 - Prevented event sending on non existing keystore entry delete (Nicola Timeus)
  * 9cd9f36c8 - Merge pull request #3474 from marcellorinaldo/backport-update-eclipse-certs (Matteo Maiero)
  * 5a083e324 - Merge pull request #3473 from marcellorinaldo/backport-fix-cert-header-validation (Matteo Maiero)
  * 8973272c8 - Updated keystore with new Eclipse cert (Marcello Martina)
  * 0b8ac84ef - Added kura log error message when certificate/pk parse fails (Marcello Martina)
  * 5cbead7a9 - Merge pull request #3472 from eclipse/backport-enh_modem-receive-timeout (Matteo Maiero)
  * 93bbc581f - Enable receive timeout for modem serial communication (Nicola Timeus)
  * 80367d4d6 - Merge pull request #3462 from salvatore-coppola/backport-fix-copyright-position (Matteo Maiero)
  * 8df1cd151 - Merge pull request #3458 from eclipse/fix_p2_repo_common_backport (Matteo Maiero)
  * 297d36113 - [Backport] Fixed 0.0.0.0 address in firewall configuration (#3464) (Pierantonio Merlino)
  * 0c213b24e - [Backport] Restrict pkcs8 accepted key and fix error message (#3456) (Salvatore Coppola)
  * 2b873cc5e - Merge pull request #3460 from nicolatimeus/backport_hide-jetty-version (Matteo Maiero)
  * 2697264d9 - Merge pull request #3426 from eclipse/backport_3425 (Matteo Maiero)
  * 88965d7b4 - Merge pull request #3451 from eclipse/backport-fix_keystore-flaky-start (Matteo Maiero)
  * d3e7edae0 - Increased left margin. (Salvatore Coppola)
  * 499a32610 - Hidden Jetty server version (Nicola Timeus)
  * 98a227f9c - Fixed bluez_dbus version variable (pierantoniomerlino)
  * 256133267 - Merge pull request #3452 from eclipse/backport-fix_wire-h2db-cleanup-issue (Matteo Maiero)
  * 2b7f4cf7e - Merge pull request #3454 from marcellorinaldo/backport-drivers-assets-ui-fixes (Matteo Maiero)
  * 870d2b32f - Merge pull request #3438 from salvatore-coppola/backport-csr-response-format-problem-fix (Matteo Maiero)
  * 04419290f - Replaced warning with error when creating a driver without factory (Marcello Martina)
  * 412b17512 - Merge pull request #3453 from marcellorinaldo/backport-threat-manager-refactor (Matteo Maiero)
  * 8be9034e5 - Resolved conflicts on FirewallConfigurationServiceImpl (Marcello Martina)
  * 5c9cbecb5 - Moved bundle to version 2.0.0 (Maiero)
  * 8a6852c89 - Modified the h2 wire component cleanup SQL command. (Maiero)
  * daa082b4d - Modified synchronization points (Maiero)
  * 40aa4aac5 - Merge pull request #3448 from eclipse/backport-remove_kura.props-keystore-pass (Matteo Maiero)
  * aaabe0535 - Removed keystore custom password in kura.properties (Maiero)
  * a9ad503a9 - Merge pull request #3441 from eclipse/backport_fix_docker_centos (Matteo Maiero)
  * 044d208a2 - [Backport] Improved keystore update management (#3443) (Matteo Maiero)
  * e14ea62b1 - Fixed JVM version to 1.8.0_282 (Maiero)
  * cee6fea4d - Backport fix firewall config installer (#3433) (Salvatore Coppola)
  * e77cef3a0 - Closes #3387 (Salvatore Coppola)
  * 6ddd4c37d - Merge pull request #3435 from eclipse/backport_fix_alpine (Matteo Maiero)
  * 12c849f9b - Tentative fix for Alpine. (Maiero)
  * 8e7469791 - Merge pull request #3434 from marcellorinaldo/backport-multiuser-write-warnings (Matteo Maiero)
  * f67338188 - Added concurrency event when writing configs, and modified UI to display all such events. Only events that come from a different session are forwarded to the UI (Marcello Martina)
  * ad5ca660a - Merge pull request #3431 from salvatore-coppola/backport-networking-section-ui-fixed (Matteo Maiero)
  * 867dd4492 - Merge pull request #3427 from salvatore-coppola/networking-section-ui-fixes (Matteo Maiero)
  * cb9dc3a65 - Merge pull request #3428 from salvatore-coppola/backport-fix-ui-security-section (Matteo Maiero)
  * 6b8e6acd2 - Fix UI security section (#3408) (Salvatore Coppola)
  * 10e3685c0 - Backport 3419 (#3421) (Matteo Maiero)
  * fad8d003f - Merge pull request #3424 from salvatore-coppola/backport-fix-network-managing-with-existing-conf-files (Matteo Maiero)
  * c4e655ada - [Backport] Add support for Bluetooth 5.X LE Extended Advertising Reports (#3416) (Pierantonio Merlino)
  * 884ff362a - h2db impl service now provides org.eclipse.kura.db.BaseDbService interface (Maiero)
  * 6047b0c68 - Fix network managing with existing conf files (#3423) (Salvatore Coppola)
  * 411df8516 - Merge pull request #3415 from salvatore-coppola/release-5.0.0 (Matteo Maiero)
  * 238c50bd2 - Updated README.MD with the default exposed port. (Salvatore Coppola)
  * 77532897a - The connection exception is now logged if the connect button is used. (#3412) (Matteo Maiero)
  * cc14b2bcd - Removed unused rules. (#3411) (Matteo Maiero)
  * 2449ed389 - Merge pull request #3407 from eclipse/firewall_snapshot_backport (Matteo Maiero)
  * f37d6fe62 - Changed FirewallConfigurationServiceImpl activation (pierantoniomerlino)
  * e55fa053a - Identities UI fixes (#3398) (#3405) (Matteo Maiero)
  * dcd4c8959 - Merge pull request #3404 from nicolatimeus/backport_deployment-admin-threads (Matteo Maiero)
  * 6b3fae9ef - Refectored DeploymentAgent threading and synchronization (Nicola Timeus)
  * c992964b2 - Merge pull request #3400 from eclipse/backport_3399 (Matteo Maiero)
  * 3e8906e6f - Fixed tamper detection example reset (#3399) (nicolatimeus)
  * 8a1365d89 - Updated reference to previous version (Maiero)
  * f100da82f - Prepared for 5.0.0 release (Maiero)
  * 1d5886628 - First implementation of revocation check support (#3390) (nicolatimeus)
  * b96d8d053 - Fix snapshots size (#3393) (Salvatore Coppola)
  * 8c28eb4a5 - Fixed empty target filters in wire composer before save (#3394) (nicolatimeus)
  * 8d9a2c28f - Fixed broken dev-env (#3381) (Salvatore Coppola)
  * 1e96acb00 - Added target filter for H2DbService in the UI for the Store/Filter wire components (#3380) (Marcello Rinaldo Martina)
  * e126022fc - Applied Kura formatting to recently updated PppAuthSecrets (Maiero)
  * 7aa47da9e - Added changes for Filereader object leak. (#3362) (Vi-Nk)
  * b3486f500 - Added OCD reference check before updating password in the configuration service (#3383) (Marcello Rinaldo Martina)
  * 06b12a9af - Updated Jetty to 9.4.41 (#3382) (Matteo Maiero)
  * 6789c1d28 - Deployment agent NPE fix (#3379) (Marcello Rinaldo Martina)
  * 647ce3ea7 - Lo interface configuration review (#3372) (Marcello Rinaldo Martina)
  * 15879e017 - Stack trace removal from UI & REST API Response (#3370) (Salvatore Coppola)
  * 221ee5539 - Update README.md (#3373) (G_Ivo)
  * d40d157ba - CertificateInfo dates as long instead of formatted string (#3374) (Matteo Maiero)
  * 834f93378 - Catched keystore exception while populating list in the Certificate Tab UI (#3375) (Marcello Rinaldo Martina)
  * 8fe0e1e86 - Revert "Add support for Bluetooth 5.X LE Extended Advertising Reports (#2960)" (#3376) (Matteo Maiero)
  * 9cc8c240a - Add support for Bluetooth 5.X LE Extended Advertising Reports (#2960) (Scott Ware)
  * cbd6a9fde - Added sender kura.service.pid to tamper event properties (#3371) (nicolatimeus)
  * ab567ed06 - Modified metatype for the MqttDataTransport (#3367) (Luca iaconissi)
  * 7140cd92e - Allow using GwtComponentService.getPidsFromTarget to all identities (#3364) (nicolatimeus)
  * 0c6f2eead - Update UI to display certificate validity info (#3360) (Marcello Rinaldo Martina)
  * 6f5536872 - Moved default cloud service factory to dedicated bundle (#3352) (nicolatimeus)
  * 8964b1fc4 - Merge pull request #3354 from marcellorinaldo/keystore-service-renaming (nicolatimeus)
  * 78b863a55 - Fix firewall rules parsing (#3355) (Pierantonio Merlino)
  * ead6af43d - Use static references to KeystoreService in HttpService (#3356) (nicolatimeus)
  * 1989ce9e1 - Rename KeystoreServiceImpl to FilesystemKeystoreServiceImpl and updated snapshots0 (Marcello Martina)
  * 68ec2db8b - Attempt to fix TamperDetectionRestService (#3348) (nicolatimeus)
  * 15cb6b1ce - Enhanced key pair entry (#3349) (Pierantonio Merlino)
  * 4a5a3037d - Started updating contract for rest APIs (#3346) (Matteo Maiero)
  * d6210df52 - Add key size (#3345) (Pierantonio Merlino)
  * a04de3032 - Keystore service cleanups (#3344) (Matteo Maiero)
  * 7a6f69297 - First draft commit of the keystore service API and implementation. (#3340) (Matteo Maiero)
  * 48198ca73 - Deprecated DriverService (#3343) (nicolatimeus)
  * b0b1c2487 - Updated jetty to 9.4.39 (#3342) (Marcello Rinaldo Martina)
  * 0d50f1178 - Updated spring dependency to 4.3.20 (#3326) (Matteo Maiero)
  * eddbcebc5 - Changed RoleRepositoryStore to avoid unnecessary updates (#3335) (nicolatimeus)
  * cfd8a84a1 - Added warning message about NAT usage (#3341) (nicolatimeus)
  * 1721805ca - Tamper detection enhancements (#3339) (nicolatimeus)
  * db0c50319 - Added support for Wifi 802.11a (5 GHz) (#3329) (ftoure67)
  * 1da8684a3 - Partial rollback on a previous PR to restore empty string support (#3336) (Matteo Maiero)
  * 6c0d17846 - Reworked the SSL Manager keystore code (#3337) (Matteo Maiero)
  * a9cc1fe10 - New firewall chains for IP/Port forwarding (#3334) (Pierantonio Merlino)
  * ccb8d9270 - Improved threat management view (#3331) (Matteo Maiero)
  * 546c69292 - Changed branch name definition location (#3333) (Matteo Maiero)
  * 2c29d4700 - Tentative to solve branch name resolution (#3330) (Matteo Maiero)
  * e3f0b9d33 - Updated shell invocation (#3327) (Matteo Maiero)
  * f16086125 - Added cast to Buffer in core.comm (#3328) (Pierantonio Merlino)
  * 4afad43cd - Updated inventory names (#3322) (Pierantonio Merlino)
  * e02348e8c - Tentative changes to fix jenkins warning (#3318) (Matteo Maiero)
  * 48ad19754 - Fixed missing post-up command (#3325) (nicolatimeus)
  * d7c13df38 - Switched to a patched useradmin (#3316) (Matteo Maiero)
  * fb07101e6 - Updated camel to 2.25 (#3304) (Matteo Maiero)
  * 4a7a5b9f5 - Added more configuration properties to strenght xml parsing (#3319) (Matteo Maiero)
  * 2783ad2b1 - Possible fix to spaces in numerical configs that could cause server errors (#3306) (Matteo Maiero)
  * 7334a52e8 - Added tamper detection APIs (#3309) (nicolatimeus)
  * 87fca042e - Disable automatic ui refresh on network config change (#3317) (nicolatimeus)
  * d497e6988 - Fixed RoleRepositoryStore behaviour in case of ConfigurationService spurious update (#3312) (nicolatimeus)
  * 01c504011 - Merge pull request #3315 from eclipse/revert-3311-switch_patched_user_admin (nicolatimeus)
  * f220fd617 - Revert "Switched to a patched useradmin (#3311)" (Matteo Maiero)
  * 616711eed - Switched to a patched useradmin (#3311) (Matteo Maiero)
  * aca6a8739 - hidden the useradmin configuration from the services section (#3310) (Matteo Maiero)
  * 8e88c4601 - Updated crypto algorithm (#3302) (Matteo Maiero)
  * 48ceb7dd2 - Fixes for Unprivileged Command Service (#3307) (Pierantonio Merlino)
  * 2753b79aa - Updated keytool flags to have certificates more browser friendly (#3305) (Matteo Maiero)
  * d7a233c5f - Removed kurad user from sudoers (#3301) (Pierantonio Merlino)
  * 657991748 - Fixed missing annotation in systemservice (#3300) (Matteo Maiero)
  * bb69c4bb0 - Fixed build failure (#3299) (nicolatimeus)
  * 9eab33117 - Feature system package list (#3298) (Pierantonio Merlino)
  * e374477ee - Audit related improvements (#3297) (nicolatimeus)
  * 8832e131d - Added a properties section to keep only the last 10 builds (#3289) (Matteo Maiero)
  * cfa4f0b41 - Fixed possible NPE in DnsMonitorService (#3294) (nicolatimeus)
  * 48eaeb310 - Changed the modal error message to be closable (#3295) (alebianchin)
  * 7e98d09aa - File permission related improvements (#3296) (nicolatimeus)
  * 2e06b2255 - Added Network Threat Manager feature (#3286) (Pierantonio Merlino)
  * 643178626 - Added more security checks to web2 RPCs (#3290) (nicolatimeus)
  * f02bfdfce - Attempt to fix CommandService always uploading file in Java temp directory (#3285) (alebianchin)
  * d5bf0ba10 - Added warning about UI restart if HttpService is updated (#3292) (nicolatimeus)
  * 7877bf9f1 - Update README.md (#3280) (Matteo Maiero)
  * ddf185729 - Fixed example tests (#3291) (nicolatimeus)
  * c5571eb0b - Fixed possible exception obtaining PDP context entries in Web UI (#3288) (nicolatimeus)
  * 48a0dd0a0 - Merge pull request #3287 from eclipse/fix_build-java8-rest-provider (nicolatimeus)
  * e23df29b8 - Added exception in tycho build to prevent build failure with Java8 (Maiero)
  * 08ac36b9d - Allow restricting REST APIs and Console access to dedicated ports (#3274) (nicolatimeus)
  * baa6c992c - Added birth certificate extensibility (#3282) (nicolatimeus)
  * 9796fec2b - Merge pull request #3283 from eclipse/exclude_tests_sonarcloud (nicolatimeus)
  * f9600a9e2 - Removing tests from sonarcloud jacoco coverage. (Maiero)
  * 85384a943 - Restored stream close instructions (#3281) (Pierantonio Merlino)
  * a05f74e7c - Aligned Alpine with Centos (#3279) (Matteo Maiero)
  * 857452f65 - Adapt log download feature to journald (#3278) (Pierantonio Merlino)
  * 5a885a312 - Updated XSRF code to use cookie hash (#3272) (Matteo Maiero)
  * 6ffa53c7f - Enabled sonar reporting (#3273) (Matteo Maiero)
  * 66a5550ef - Fixed typo in scriptfilter (#3271) (Luca iaconissi)
  * da2b89d9c - Fix bugs on firewall (#3269) (Pierantonio Merlino)
  * 6f841f0cd - Alignes docker to the current file location (#3267) (Matteo Maiero)
  * a015ba145 - Fixed unsaved changes dialog for console options (#3266) (nicolatimeus)
  * 7ad07b7ef - Added jenkinsfile to the root dir to support multibranch CI (#3264) (Matteo Maiero)
  * 1a2ce4b8a - Improved rest APIs authentication (#3254) (nicolatimeus)
  * b5b4335c0 - Virtual network interfaces management (#3255) (Pierantonio Merlino)
  * e65f43da0 - Properties changes to support test report in sonarcloud. (#3215) (Matteo Maiero)
  * 772919c78 - Fix misc UI issues (#3256) (nicolatimeus)
  * c6914d387 - Fixed typo in firewall.init (#3253) (Pierantonio Merlino)
  * e5e45b9c9 - More firewall enahncements (#3251) (Pierantonio Merlino)
  * bb8a91494 - Pr/trigonometry (#3059) (Luca iaconissi)
  * 13539500d - Added min, max, median and square root to the math singleport components (#3012) (Luca iaconissi)
  * c670372bd - Pr/boolean multiport (#3009) (Luca iaconissi)
  * 7b3189688 - Switched to sha256 hash for identity passwords  (#3249) (nicolatimeus)
  * bc5b43667 - Extended the Crypto functionalities supporting sha-256 and making hash function generic for future use (#2433) (Matteo Maiero)
  * e6e1af792 - Firewall config enhancement (#3210) (Pierantonio Merlino)
  * 52bf78c7f - Restructured Kura folder structure. (#3245) (Matteo Maiero)
  * 7a21c09e6 - First implementation of multi role support in Web UI (#3207) (nicolatimeus)
  * 0d7208b13 - Enabled GPS for Quectel modems (#3213) (Matteo Maiero)
  * b827c909c - Merge pull request #3214 from eclipse/fix_try-with-resources (nicolatimeus)
  * 326bfe13f - Support java11 build (#3163) (Matteo Maiero)
  * d3c9d2039 - Merge pull request #3209 from eclipse/fix_missing_since_certificates_apis (Matteo Maiero)
  * 0dc7e9c84 - Updated Jetty to v.9.4.35. (#3206) (Matteo Maiero)
  * 24e1437b6 - Modified database interaction code to prevent that an interrupted exc… (#3196) (Matteo Maiero)
  * 72bee57c7 - EPL-2.0 migration PR (#3202) (Matteo Maiero)
  * ee644346f - Added few try-with-resources. (Maiero)
  * 5c1cf3c62 - Fixed missing since annotations in new certificate apis. (Maiero)
  * c873a829e - Updated mirror reference and dependencies versions in jetty.customizer (#3201) (Matteo Maiero)
  * 569f8115e - Rollback to previous version due to error inexporting packages in newer releases (#3200) (Matteo Maiero)
  * a9656b26e - Added support for HTTPS client side authentication (#3143) (nicolatimeus)
  * 42db0cf16 - Added users management (#3184) (Pierantonio Merlino)
  * 2104dcdd2 - Add support for multiple cellular modems (#3141) (Pierantonio Merlino)
  * a377f4b2e - Updated LAUCHER_VERSION in Dockerfile (#3195) (Pierantonio Merlino)
  * cdc143944 - Updated Equinox OSGi to equinox-SDK-4.17 (#3136) (Matteo Maiero)
  * 88235c679 - Merge pull request #3180 from eclipse/modem_code_clean_up (Matteo Maiero)
  * 110446d9d - Restricted file upload type in Command ui (#3142) (nicolatimeus)
  * c87ad8c83 - Removed useless field; added pdpPid in ZteMe3630 modem (pierantoniomerlino)
  * 5bc673104 - Adding Quectel Modems EC25 and BG96 (#3120) (ftoure67)
  * 71414ff3a - Fixed test making it not position aware. (#3130) (Matteo Maiero)
  * 5ddc05456 - Fixed CloudPublisher description for the priority field. (#3124) (Matteo Maiero)
  * e91ea0fc1 - Modified iBeacon parser (#3118) (Pierantonio Merlino)
  * 0462f3fd2 - Fixed again zip with folders (#3116) (Pierantonio Merlino)
  * dd2c501d9 - Changed directory check (#3108) (Pierantonio Merlino)
  * 177f06d51 - Fix quectel pdp context config (#3110) (Matteo Maiero)
  * 0a0595543 - Added a delay between page restore and reload of the services (#3105) (Matteo Maiero)
  * e0c502b01 - Upticked version to 5.0.0-SNAPSHOT (#3093) (Matteo Maiero)
  * c5407aafb - Fixed encrypted passwords in graph snapshots (#3089) (nicolatimeus)
  * 667d98294 - Fixed DNS service using bind9 on Armbian 20.04 (#3085) (Andrej Krota)
  * 5a532041d - Adding support for Telefonica modem IK41VE (#3083) (javadakhlaghinia)
  * 4be0006e8 - Changed disconnect to disconnectForcibly in case of connection failure. (#3072) (Matteo Maiero)
  * fec849054 - Changed route del post up command (#3075) (nicolatimeus)
  * 1cd3e0e89 - Enable apply button when tab is dirty (#3051) (Pierantonio Merlino)
  * c91945c86 - Capitalize cloudservice, publisher and subscriber names (#3077) (Pierantonio Merlino)
  * 939bcda1d - Updated filtering algorithm (#3076) (Matteo Maiero)
  * 60508ccf4 - Fix missing validation in device certs tab (#3050) (Pierantonio Merlino)
  * 9f2efefd9 - Merge pull request #3056 from eclipse/fix_login-modal-title (Matteo Maiero)
  * 25651fd31 - Merge pull request #3061 from eclipse/fix_wire.devel-min (Matteo Maiero)
  * 0bcc63f71 - Removed cross button in firewall dirty modal (#3058) (Pierantonio Merlino)
  * a862e819a - Added support for error state description in firewall tabs. (#3060) (Matteo Maiero)
  * c93efd68a - Fix in sink description (#3063) (Matteo Maiero)
  * 069a8d03c - Modified the metatype to set a minimum value for integers (Maiero)
  * 44f6f9faf - Changed login modal title to note wron accesses as errors. (Maiero)
  * c50a77c1f - Updated kura exception messages (#3049) (Pierantonio Merlino)
  * 4ca5705b3 - Added few more since annotations that were missing in APIs. (#3053) (Matteo Maiero)
  * bbf1c6857 - Simple fix to syntax error. (#3054) (Matteo Maiero)
  * 3b7aa3bb2 - Improvements to the build (#3052) (Cristiano De Alti)
  * 927ea4862 - Added reset confirmation in settings tabs (#3037) (Matteo Maiero)
  * da2413ec0 - Modified logging variable to prevent lint issue in FileServlet (#3048) (Matteo Maiero)
  * 6e462f956 - Applied cleanup and lint fix (#3047) (Matteo Maiero)
  * bd868c82b - Fixed missing or wrong since annotations in API (#3046) (Matteo Maiero)
  * 2e05e9579 - Cleanup removing duplicate dom ids. (#3041) (Matteo Maiero)
  * d9a6361c8 - IP forwarding duplicate identification should be now fixed. (#3040) (Matteo Maiero)
  * 3554d39ab - Removed some unneeded logging. (#3036) (Matteo Maiero)
  * 2fb69b423 - Clear validation states in reset methods (#3034) (Pierantonio Merlino)
  * 958960297 - Added client code to prevent empty upload. (#3039) (Matteo Maiero)
  * daa740457 - Restoring the previous regex validation. (#3038) (Matteo Maiero)
  * c10213cf1 - Fixes case where a read for all channels fails and reports empty value. (#3042) (Matteo Maiero)
  * a109ea00d - Managed exceptions in firewall ports value conversion (#3033) (Pierantonio Merlino)
  * 30db04bff - Proposal for patching SonarQube rule 3032 (#2987) (henry-lp)
  * 1b294fc50 - Modified bluetooth flags capitalization (#3018) (Pierantonio Merlino)
  * 95d9761ba - Modified the alert dialog to fix missing close button issue. (#3016) (Matteo Maiero)
  * 8247e72b9 - Fixed a possible null pointer in getPidsFromTarget. (#3023) (Matteo Maiero)
  * b8b98e5d2 - Fixed fields validation in webUI (#3020) (Pierantonio Merlino)
  * 891b1b2f0 - Merge pull request #3019 from eclipse/fix_watchdog-service-description (Matteo Maiero)
  * 669ecd7de - Minor fix in watchdog service metatype description (Maiero)
  * e2e8f5f3b - Improved CSV channel download (#2999) (nicolatimeus)
  * facfc272c - Modified modal config in firewall to prevent closing. (#2965) (Matteo Maiero)
  * 99903b634 - Added a check in bg scan thresholds in order to prevent wrong interva… (#2980) (Matteo Maiero)
  * 23ea4d482 - Improved CSV channel upload (#2996) (nicolatimeus)
  * c6ac64c83 - Forced clear of validation states on modal fields (#2975) (Pierantonio Merlino)
  * de679c375 - Proposal for patching SonarQube rule 4973 (#2988) (henry-lp)
  * c682608b5 - Fixed WireGraphService regressions (#2986) (nicolatimeus)
  * 3b171399d - Web UI fixes (#2912) (nicolatimeus)
  * eb6453841 - Fixed at context command for Quectel modem (#2993) (Pierantonio Merlino)
  * 877743e1c - Changed message for session timeout (#2979) (Pierantonio Merlino)
  * 4d0376b25 - Fix connection delete enabled (#2976) (Matteo Maiero)
  * 88800b993 - Changed target selection code using OSGi bundle context to discover i… (#2984) (Matteo Maiero)
  * e87512c09 - Added confirmation window when switching between tabs in Settings section (#2978) (Pierantonio Merlino)
  * a0cd9d768 - Applied a patch to identify a corner case where only separators where… (#2968) (Matteo Maiero)
  * 789d0e99b - Fixed lint issue with newly contributed ublox modem (#2969) (Matteo Maiero)
  * 99dab3506 - Fixed timer description (#2973) (Matteo Maiero)
  * 188009bcd - Added check for fields in openModal (#2977) (Pierantonio Merlino)
  * cc3d48c13 - Removed icons in confirmation buttons to match the other elements in UI (#2974) (Matteo Maiero)
  * 24bd46618 - Merge pull request #2971 from eclipse/fix_snapshot-buttons (Matteo Maiero)
  * 50eb03c35 - Fixed snapshot buttons behavior (Maiero)
  * 3dd31ded4 - Merge pull request #2964 from pierantoniomerlino/firewall_duplicate_fix (Matteo Maiero)
  * 1030a8ec0 - Merge pull request #2970 from eclipse/fix_buttons-bundle (Matteo Maiero)
  * 2fceeb948 - Fixed start and stop buttons behavior in bundles section (Maiero)
  * de14912d6 - Fixed duplicateEntry comparison (pierantoniomerlino)
  * f29447924 - Merge pull request #2966 from eclipse/fix_emitters-receivers-label (Matteo Maiero)
  * 9ccbbb9e2 - Merge pull request #2967 from eclipse/fix_help-height (Matteo Maiero)
  * 3fca639c0 - The help section height is now set to auto (Maiero)
  * 54ad3980b - Fixed "Emitters/Receivers" label in UI (Maiero)
  * 317f8936d - Merge pull request #2962 from eclipse/fix_no-forwards-label (Matteo Maiero)
  * 5570262f3 - Fixed a label shown when no forwards are defined (Maiero)
  * d355ae3f5 - Fixes for firewall issues (#2915) (Pierantonio Merlino)
  * 23245ed8e - Changed dns displaying, using a textarea (#2956) (Matteo Maiero)
  * 502a9daa4 - Drag-and-drop of dp files (#2959) (Pierantonio Merlino)
  * 602edbab1 - Modified net configuration read to be more resilient in case of interface disalignmemnt. (#2958) (Matteo Maiero)
  * 4b53a3e04 - Merge pull request #2957 from nicolatimeus/feature_lara-r2 (Matteo Maiero)
  * 40a93e891 - Merge pull request #2955 from eclipse/fixed_Bgscan-signal (Matteo Maiero)
  * c1b0da762 - Added support for Ublox LARA-R2 (nicolatimeus)
  * 410c660f8 - Fixed Bgscan signal strength threshold management. (Maiero)
  * 7f07b8640 - Merge pull request #2951 from eclipse/fix_delete-buttons-naming (Matteo Maiero)
  * e456f9de6 - Merge pull request #2950 from eclipse/fix_empty-banner (Matteo Maiero)
  * 7b04d5aea - Fixed delete modal buttons naming (Maiero)
  * bf7de2d60 - The banner content cannot be empty. (Maiero)
  * 06494ed49 - Set metatype limits for http service port range (#2937) (Matteo Maiero)
  * 54ca7a80c - Fixed description displaying in wireless tab (#2943) (Matteo Maiero)
  * 147f65240 - Removed the none option for pairwise cipher. (#2918) (Matteo Maiero)
  * da4adbe5e - Merge pull request #2946 from eclipse/fix_required-ssid (Matteo Maiero)
  * f4bb4d804 - Merge pull request #2947 from eclipse/fix_watchdog-version (Matteo Maiero)
  * 0ee3f8a96 - Merge pull request #2925 from eclipse/fix_wireless-empty-password (Matteo Maiero)
  * b0f5fa014 - Fixed watchdog bundle version (Maiero)
  * 73d99b1f6 - SSID is now a required field (Maiero)
  * 33721c06a - Merge pull request #2936 from eclipse/fix_quotation-marks (Matteo Maiero)
  * 1fcf22e10 - Improved password verification management (#2942) (Matteo Maiero)
  * 4169409b1 - Merge pull request #2939 from eclipse/fix_net-descriptions (Matteo Maiero)
  * 81e7407d6 - Merge pull request #2938 from eclipse/fix_wifi-password-validation-check (Matteo Maiero)
  * 7811a768e - Changed descriptions in net tab to address issue reported. (Maiero)
  * 1ef5c5d91 - More fixes in packages tab (#2923) (Pierantonio Merlino)
  * cb41965f3 - Changes to password or validation concur to match check (Maiero)
  * 402c32f59 - Removed unneeded quotation marks (Maiero)
  * 148f83144 - Added missing icon to few buttons (#2922) (Pierantonio Merlino)
  * 92df96d16 - Removed packages-panel style (#2920) (Pierantonio Merlino)
  * 7600bb05a - Changed packages tab behavior (#2919) (Pierantonio Merlino)
  * 86bf238f8 - Fixing an issue with empty passwords verification in wireless tab (Maiero)
  * 02902c2ea - Merge pull request #2917 from eclipse/fix_4.1.1-kura-bundles-pom (Matteo Maiero)
  * 3b468d60c - Fixed 4.1.1 kura-bundles pom file in RELEASE_INFO (Maiero)
  * 6ecc60686 - Added support for channel 14 in wifi access point mode. (#2916) (Matteo Maiero)
  * 27a06bb3d - Merge pull request #2911 from eclipse/merge-4.1.1-to-develop (Matteo Maiero)
  * fc8022704 - Merged 4.1.1 info into develop (Maiero)
  * 46afb83e7 - Pr/watchdog metatype (#2872) (Luca iaconissi)
  * 3c66c5280 - Merge pull request #2832 from nicolatimeus/fix_modem-monitor-monotonic-time-diffs (Matteo Maiero)
  * 1d2fb26b9 - Improved modem help message (#2829) (Matteo Maiero)
  * ad4ce1b33 - Use monotonic clock for time differences in ModemMonitorService (nicolatimeus)
  * bf017ff0e - Merge pull request #2826 from eclipse/fix_modem-monitor-attempts (Matteo Maiero)
  * 532eaab12 - Added attempts management in modem monitor (pierantoniomerlino)
  * 9adffa5b5 - Fixed CommConnectionImpl constructor not closing serial port on failure (#2823) (nicolatimeus)
  * 9e0b82be0 - The sim card not ready case concurs now to modem reset. (#2819) (Matteo Maiero)
  * 2ff4bf772 - Fixed more firewall issues (#2814) (Pierantonio Merlino)
  * 515ada669 - Merge pull request #2816 from eclipse/enh_support-favicon (Matteo Maiero)
  * 0ea6274e8 - Removed unneeded icon (Maiero)
  * 396c31752 - Added support for favicon. (Maiero)
  * ac280a199 - Fix container structure (#2738) (Matteo Maiero)
  * 259b4389f - Merge pull request #2801 from eclipse/fix_deploy-admin-package-delete (Matteo Maiero)
  * 0adc2633c - Merge pull request #2812 from eclipse/fix_can-read-write (Matteo Maiero)
  * af6c2e855 - Fixed several firewall issues (#2796) (Pierantonio Merlino)
  * ed2d66c68 - Fixed issue in can service with two can interfaces. (Maiero)
  * aa1696061 - Merge pull request #2806 from eclipse/update_connect-chat-scripts (Matteo Maiero)
  * f362d7d5b - Added wait between reset cycles. (#2803) (Matteo Maiero)
  * db8f2cbbd - Made a specific config generator for Le910. (#2802) (Matteo Maiero)
  * ed6362ba0 - Merge pull request #2807 from pierantoniomerlino/update_firewall (Matteo Maiero)
  * 63170a099 - Updated kura_install for Rpi (pierantoniomerlino)
  * 0dd689e90 - Updated connect script to improve modem response. (Maiero)
  * fc7ea551c - Fixed DB bundle reference in dev-env. (#2804) (Matteo Maiero)
  * 9a1b7a64f - Merge pull request #2805 from pierantoniomerlino/fix_iptables_restore (Matteo Maiero)
  * 6856bcbbb - Added policies to iptables (pierantoniomerlino)
  * 69e273a77 - Fixed issue where deployment admin incorrectly deleted package after install. (Maiero)
  * 599ed0921 - Merge pull request #2794 from nicolatimeus/fix_paho-ssl-settings-override (Matteo Maiero)
  * b824d09ee - Fixed Paho overriding SSL settings (nicolatimeus)
  * 96fecd5f1 - Fixed DEPLOY-V2 verifier failure publishing (#2764) (nicolatimeus)
  * baab630fb - Add support for Huawei MS2372 (#2749) (Cristiano De Alti)
  * 88a52368c - Merge pull request #2727 from eclipse/fix_timer_tick (Matteo Maiero)
  * 771a66949 - Added few tests for first tick policy (nicolatimeus)
  * 02c57f642 - Improvement to make the initial delay configurable by the user. (Maiero)
  * d343fde6a - Added option to select the timer tick behavior. (Maiero)
  * f743319c0 - Fixed configuration reset error when uploading csv config. (#2678) (Matteo Maiero)
  * 5d11b3d0a - Merge pull request #2683 from iacco/kura_alpine_dockerfile (Matteo Maiero)
  * ffd8ca809 - Added Alpine support, modified README (liaconissi)
  * 0f54d3c56 - Merge pull request #2711 from eclipse/Gitter-integration (Matteo Maiero)
  * be4f088cd - Added Gitter chat badge (Matteo Maiero)
  * 6c8f3ade4 - Merge pull request #2680 from alebianchin/fix-cloudconnection-never-reconnect (Matteo Maiero)
  * fae7c9be5 - Removed unneeded catch. (Maiero)
  * 032c95c95 - Added try/catch to avoid the DataService crashing (#2679) (alebianchin)
  * 362a06996 - Updated README.md (#2670) (alebianchin)
  * cf51ce0b7 - Order wire components alphabetically (#2660) (Thomas Fitzgerald)
  * b06e8f0f8 - Changes to use a parsed and value while defining the name of snapshot. (#2618) (Matteo Maiero)
  * 77b7c44a7 - Improve CommandExecutorService (#2677) (Pierantonio Merlino)
  * e59303520 - Updated KuraFormatter.xml (#2675) (Pierantonio Merlino)
  * d2af82ecc - Fixed oomph kura.setup file setting https for maven reference (#2643) (Matteo Maiero)
  * 239d50c57 - Added support for Quectel EG25 (#2665) (Pierantonio Merlino)
  * 6556315bc - Merge pull request #2667 from alebianchin/fix-opcua-array-to-string (nicolatimeus)
  * 5b427d87a - Updated copyright year (alebianchin)
  * 4bfcb7e4f - Applied checkstyle to net.admin bundle (#2650) (Matteo Maiero)
  * ec6cca1a5 - Modified UI so that the Target Filter field is not modifiable (#2601) (#2668) (alebianchin)
  * 2c49f3f51 - Reporting system uptime in MacOS from kern.boottime (#2662) (Thomas Fitzgerald)
  * d42df5241 - Merge pull request #2620 from eclipse/modules-all (nicolatimeus)
  * a71a3e508 - Fixed warning in maven related to checkstyle plugin (#2666) (Matteo Maiero)
  * ebaf82100 - Applied checkstyle to APIs. (#2663) (Matteo Maiero)
  * f398564d2 - Applied checkstyle to the core bundle. (#2664) (Matteo Maiero)
  * 0c436e888 - Applied formatter/cleanup profiles (alebianchin)
  * fcca8fe40 - Added Array to String conversion for most types (#2658) (alebianchin)
  * 2e568e61d - Checkstyle changes for linux.bluetooth bundle. (#2656) (Matteo Maiero)
  * a7ea796b6 - Applied checkstyle. (#2648) (Matteo Maiero)
  * 8939d4f97 - Applied checkstyle to linux.net (#2657) (Matteo Maiero)
  * 7c0fef6ce - Fix wire confirmation message (#2655) (Luca iaconissi)
  * b4c795184 - Changed the snapshot0.xml to enable Https by default (#2649) (#2651) (alebianchin)
  * f4e19f9fd - Moved the distributions listed from sysv to systemd (#2637) (alebianchin)
  * f0277b81a - Fixed iw command (#2646) (Pierantonio Merlino)
  * 54b2dbfac - new branch to allow eclipse validation (#2644) (Thomas Fitzgerald)
  * 486749291 - Moved RequiredExecutionEnvironment to 1.8 in order to solve build issues. (#2642) (Matteo Maiero)
  * 8422cb643 - Updated Kura build to tycho 1.6.0. (#2635) (Matteo Maiero)
  * dce519114 - Filter 0 value in timeout (#2638) (Pierantonio Merlino)
  * 157548b12 - Changed required execution environment to try to solve build issue. (#2634) (Matteo Maiero)
  * 94cc55638 - Add component type to services ui title panel (#2633) (Thomas Fitzgerald)
  * 9960cc761 - Updated checkstyle file to match formatter and cleanup profile (#2628) (Matteo Maiero)
  * 7e45e8adc - Added configurability to select the proper rtc device. (#2625) (Matteo Maiero)
  * 3ef2eea85 - Merge pull request #2630 from eclipse/fix_base_sset (Matteo Maiero)
  * b0f3b47fd - Avoid to read empty records (pierantoniomerlino)
  * 67aec5817 - Merge pull request #2627 from eclipse/enhance_executor_service_2 (Matteo Maiero)
  * 6b6987a6e - Pid and ExitStatus refactor (pierantoniomerlino)
  * 48a14c4d1 - Sanitized file upload to prevent usage of user data for dp name. (#2624) (Matteo Maiero)
  * 1d0159373 - Merge pull request #2622 from kandrej/sim7000_support (Matteo Maiero)
  * e715347b4 - Fixed timer issues on system time changes (#2619) (nicolatimeus)
  * 8064c0fe9 - Support for SimTech SIM7000 LTE NB-IOT modem (Andrej Krota)
  * 37b338d06 - Changed the add-modules option to ALL-SYSTEm (Maiero)
  * 0e2c8aa65 - Updated DataService rate limit metatype message (#2613) (Pierantonio Merlino)
  * 8e8519e93 - Changed ssl protocol code to rely on JVM context if protocol is not specified. (#2559) (Matteo Maiero)
  * 58f7d93a2 - Merge pull request #2603 from alebianchin/fix-dynamic-reference (Matteo Maiero)
  * df913c09a - Zte ME3630 LTE modem support (#2611) (Andrej Krota)
  * b9d28f61f - Merge pull request #2609 from spnettec/develop-2585-2 (Matteo Maiero)
  * 213ea11b7 - Asset blinking feature seems not to work (heyoulin)
  * 99f3f328c - Merge pull request #1 from eclipse/develop (alebianchin)
  * cb19ee879 - Fix #2561 for Wire Publisher and Subscriber Also removed unbind methods for static 1..1 references (alebianchin)
  * fd3a0cdcf - Merge branch 'spnettec-develop-2583' into develop (Maiero)
  * 9b721b32c - Applied Kura formatting. (Maiero)
  * 2d8210def - Merge branch 'develop-2583' of https://github.com/spnettec/kura into spnettec-develop-2583 (Maiero)
  * 17291f822 - Wrong checkstyle (heyoulin)
  * a8d1a0e26 - delete unused code (heyoulin)
  * c523f58bf - Merge pull request #2589 from kandrej/dhcp_lease_renew (Matteo Maiero)
  * d47d3f616 - Fixed modem reset issue when the value is configured to 0 (no reset). (#2586) (Matteo Maiero)
  * a6d39673f - fixed NPE (Andrej Krota)
  * e92ae48fa - Merge pull request #2591 from spnettec/develop-2590 (Matteo Maiero)
  * 06b249455 - Trigger a DHCP renew on wifi network reconnect (Andrej Krota)
  * c13375ef1 - Fixed tests (Andrej Krota)
  * 1de4fa4dd - System Clock Update Command error fix #2590 (heyoulin)
  * b7fa34d44 - Ethernet monitor service renews DHCP lease when cable has been plugged/unplugged (Andrej Krota)
  * 2bc2346e3 - Another set of fixes for sonar (#2579) (Pierantonio Merlino)
  * 8420edae4 - Replaced millis with nanos in DataServiceImpl (#2582) (Pierantonio Merlino)
  * 3bc61763a - fix #2583 (heyoulin)
  * b58d1b09f - Updated protobuf to version 3.8.0. (#2527) (Matteo Maiero)
  * 7a3211fd3 - Fixed osgi component for LinuxDnsServer imnplementations (#2576) (Pierantonio Merlino)
  * 819857a45 - Added missing copyright header and missing import (#2574) (Pierantonio Merlino)
  * fb20b810b - Fix sonar issues (#2570) (Pierantonio Merlino)
  * 864c63390 - Try to fix tests for executor service (#2566) (Pierantonio Merlino)
  * 80e760ac8 - Updated minimal-json to 0.9.5 (#2551) (Matteo Maiero)
  * 11fea5321 - Added command executor service (#2536) (Pierantonio Merlino)
  * 0238c7247 - Asset is removed from Drivers view when it is deleted in WireGraph (#2550) (heyoulin)
  * b3620ba70 - udhcpc pid file parameter fix (#2558) (Andrej Krota)
  * 4d21739c6 - Updating jetty to 9.4.19.v20190610 (#2511) (Matteo Maiero)
  * 84e6407e8 - Recovered deleted line (#2557) (Pierantonio Merlino)
  * 4ca0b10b7 - Fixed modem diversity lint issues (#2552) (Matteo Maiero)
  * 02d47981c - Add configuration of diversity antenna for LTE modems (#2542) (Pierre Pitiot)
  * 81aa260ca - Changed parsing of ip route command (#2541) (Pierantonio Merlino)
  * b1b3e9e85 - Added minimal extensibility to Web UI (#2539) (nicolatimeus)
  * 165583e24 - Merge pull request #2537 from eclipse/enh_log-download (nicolatimeus)
  * 67e750bf6 - Fixed "end-of-central-directory signature not found" Error (Maiero)
  * 7b26fd30a - Made log source for download configurable. (Maiero)
  * a458dfb1b - Created new servlet to download system logs. (Maiero)
  * 6727a3a28 - Merge pull request #2533 from eclipse/rest_audit_message (nicolatimeus)
  * 9e9ce06a6 - Updated references for new Eclipse broker. (#2486) (Matteo Maiero)
  * c946df3b7 - Updated CI references (Matteo Maiero)
  * 3ad66d3c1 - Added ip in rest audit messages. (Maiero)
  * 18a0dd579 - Cleanup Profile updates (#2530) (Matteo Maiero)
  * acf35a1bf - XDK driver fixes and solved lint issues. (#2529) (Matteo Maiero)
  * 58e13d77e - Removed old osgi version references. (#2528) (Matteo Maiero)
  * 542f6297c - Fixing file attributes for missing executable flag (#2403) (Ondrej)
  * 66fa27d3b - Driver xdk (#2506) (pasqualenaclerio)
  * 5e45ef070 - Fix variable replacement in topic string (#2489) (Pierre Pitiot)
  * 46d8bed34 - Changed web console service description. (#2517) (Matteo Maiero)
  * ccc916c63 - Merge pull request #2505 from pasqualenaclerio/firewall_rules (Matteo Maiero)
  * 47e37dd39 - Fixed firewall port range check. (Maiero)
  * 19c5f5a95 - correction (pasqualenaclerio)
  * 516c5af42 - Audit feature (#2494) (Matteo Maiero)
  * b2431cc6e - solution to the problem #2502 (pasqualenaclerio)
  * 730effdec - New gpio bundle to manage led. (#2465) (pasqualenaclerio)
  * abd94111c - Merge pull request #2497 from nicolatimeus/enh_wifi-password-strength (MMaiero)
  * 3d18e518d - Enabled minimum length enforcement by default (nicolatimeus)
  * 5da2f5577 - Added support for strength requirements for wifi password (nicolatimeus)
  * 3f0f993e7 - Merge pull request #2492 from nicolatimeus/fix_web-ui-narrow-columns (MMaiero)
  * 071c7cb13 - Layout fixes, added tooltips with parameter description (nicolatimeus)
  * 8978646ad - Improved channel config table layout (nicolatimeus)
  * 454c2d6c5 - Merge pull request #2493 from eclipse/fix_banner-login (nicolatimeus)
  * 2f50df655 - Banner set to be displayed before user login. (Maiero)
  * 6d3b37485 - Merge pull request #2469 from eclipse/ui_log-access (MMaiero)
  * 3219fcb55 - Merge pull request #2484 from eclipse/fix_h2db-invocation (nicolatimeus)
  * a51331072 - Fixed H2db invocation in config.ini file. (Maiero)
  * 487709cf8 - Logged session expiration (nicolatimeus)
  * b74ef32a5 - Merge pull request #2482 from eclipse/fix_since-ssl (nicolatimeus)
  * 4b0760457 - Fixed version format in since annotation to match existing ones. (Maiero)
  * 5a080d4c2 - Updated gwt code to log logins and logouts from the UI. (Maiero)
  * d18644ec4 - Merge pull request #2481 from eclipse/login_page_logos_enh (nicolatimeus)
  * 88f80ae24 - Merge pull request #2466 from MMaiero/h2db_update (nicolatimeus)
  * bc7e9b930 - Improved css. (Maiero)
  * d8c02b7c4 - Merge pull request #2472 from eclipse/enh_login_banner (MMaiero)
  * 6389db9a5 - Merge pull request #2477 from nicolatimeus/enh_ssl-service-get-context (MMaiero)
  * a089bb398 - Added version range (nicolatimeus)
  * 8060fc345 - Few optimisations (nicolatimeus)
  * 5fc6432b9 - Implemented retrieving SSLContext from SslManagerService (nicolatimeus)
  * d4d693b0e - Merge pull request #2463 from MMaiero/login-background (nicolatimeus)
  * d61681108 - Added missing files. (Maiero)
  * 49b771880 - Added login banner feature. (Maiero)
  * f6e982a24 - Fixed named invocation (#2467) (nicolatimeus)
  * b89a0ed8d - Updated H2DB to version 1.4.199. (Maiero)
  * 6c8dfc1b4 - Updated background image with correct logos. (Maiero)
  * c77eb607e - Added login background. (Maiero)
  * bfb9916c9 - Merge pull request #2459 from eclipse/rest-enh (nicolatimeus)
  * 71fc65415 - Merge pull request #2454 from eclipse/fix_web-lint-issues (nicolatimeus)
  * 361ab9f1b - Merge pull request #2461 from eclipse/fix_https-property (nicolatimeus)
  * bebb266b3 - Fixed https port not properly assigned to corresponding property. (Maiero)
  * 1e9e54890 - Updated rest provider to export validable as class in utils package. (Maiero)
  * 832ceb603 - Merge pull request #2464 from MMaiero/fix_travis2 (nicolatimeus)
  * 4a6a2d180 - Updated cloud test to prevent possible mqttdatatransport illegal state. (Maiero)
  * 9c7b74964 - Fixing failing travis build specifying java and base image (Maiero)
  * 4598873b1 - Fixing few lint issues in web bundle. (Maiero)
  * 7109f8a66 - Merge pull request #2447 from eclipse/improve-snapshot0-rollback (MMaiero)
  * c4142bcb3 - Merge pull request #2444 from eclipse/fix_command-activation (MMaiero)
  * e6ae9d403 - Merge pull request #2453 from nicolatimeus/feature_raw-mqtt-connection (MMaiero)
  * 8557e03e7 - Fixes/improvements (nicolatimeus)
  * c46a3af48 - Updated copyright header (Maiero)
  * fbe7f935f - Merge pull request #2451 from eclipse/fix_csv-upload-validation (nicolatimeus)
  * 91f688d82 - Added raw MQTT cloud connection (nicolatimeus)
  * 47d834697 - Updated csv validation process. (Maiero)
  * d116162fc - Merge pull request #2436 from eclipse/enh_http-service (MMaiero)
  * 9b3ae5e23 - Use JettyConfigurator to start/stop jetty (nicolatimeus)
  * a1350f0e7 - Merge pull request #2449 from nicolatimeus/enh_login-use-form (MMaiero)
  * 8b2ab0714 - Use form for login (nicolatimeus)
  * 5b9ff4402 - Merge pull request #2445 from eclipse/fix_emulator-empty-config (MMaiero)
  * 90d981f96 - Merge pull request #2446 from eclipse/fix_snapshot-download (MMaiero)
  * 6d1f970ed - Updated snapshot 0 with latest changes to kura codebase for cloud connections. (Maiero)
  * 213fc2daa - Fixed other servlet URLs (nicolatimeus)
  * e9f1ea557 - Fixed broken snapshot downloading. (Maiero)
  * 5e76c875a - Merge pull request #2443 from nicolatimeus/enh_isolate-admin-ui-path (MMaiero)
  * dc9d9d111 - Fixed missed command service activation when run in development env. (Maiero)
  * 157afcc85 - Solved issue with development environment and empty configuration returned to cloud. (Maiero)
  * 370357911 - Moved console resources under /admin/ (nicolatimeus)
  * aa414d959 - Merge pull request #2401 from kubiko/develop-snap-bluez (MMaiero)
  * 2e6d79c80 - Merge pull request #2404 from kubiko/HostapdManager-use-abs-path (MMaiero)
  * fb0a8b465 - Merge pull request #2441 from eclipse/enh_cache-control (nicolatimeus)
  * 704b70693 - Added code to support per container keystore. (Maiero)
  * 0449786a1 - Changes to dockerfile to support new https feature. (Maiero)
  * 5687a5728 - Updated version for ble.provider (Maiero)
  * d4f15c364 - snap: Adding support for kura and bluez deployed on host as snap (Ondrej Kubik)
  * 8940b3e9f - Updated linux.net version in distrib. (Maiero)
  * 8d5e82777 - HostapdManager: use absolute path to pid file instead of relative (Ondrej Kubik)
  * 508c3ef2c - Added the must-revalidate option in cache-control response headers. (Maiero)
  * 3e54e5ffb - Changes to have a more general reference to the keystore for https. (Maiero)
  * 1b4b92e7d - Minor cleanups. (Maiero)
  * c42f43743 - Added specific property for password specification in kura.properties. (Maiero)
  * ff90167c5 - Improved password management. (Maiero)
  * 4926e2c6d - First implementation for HTTP Service. (Maiero)
  * 15e5640a2 - Added session support and login page (#2438) (nicolatimeus)
  * 6762d6f17 - Merge pull request #2434 from eclipse/enh_custom-webserver-entry-point (nicolatimeus)
  * ee1206f97 - Merge pull request #2435 from eclipse/enh_new-api-http-only (nicolatimeus)
  * b2a815214 - Switching to Java Servlet 3 to set HttpOnly flag in cookie. (Maiero)
  * cf79d2afa - Added support for changing the default webserver mapping to a custom one. (Maiero)
